Programming Guide

Contents

oneAPI Library Compatibility

oneAPI applications may include dynamic libraries at runtime that require compatibility across release versions of Intel tools. Intel oneAPI Toolkits and component products use semantic versioning to support compatibility.
The following policies apply to APIs and ABIs delivered with Intel oneAPI Toolkits.
oneAPI applications are supported on 64-bit target devices.
  • New Intel oneAPI device drivers, oneAPI dynamic libraries, and oneAPI compilers will not break previously deployed applications built with oneAPI tools. Current APIs will not be removed or modified without notice and an iteration of the major version.
  • Developers of oneAPI applications should ensure that the header files and libraries have the same release version. For example, an application should not use 2021.2 Intel® oneAPI Math Kernel Library header files with 2021.1 Intel oneAPI Math Kernel Library.
  • New dynamic libraries provided with the Intel compilers will work with applications built by older versions of the compilers (this is commonly referred to as
    backward compatibility
    ). However, the converse is not true: newer versions of the oneAPI dynamic libraries may contain routines that are not available in earlier versions of the library.
  • Older dynamic libraries provided with the oneAPI Intel compilers will not work with newer versions of the oneAPI compilers.
Developers of oneAPI applications should ensure that thorough application testing is conducted to ensure that a oneAPI application is deployed with a compatible oneAPI library.

Product and Performance Information

1

Performance varies by use, configuration and other factors. Learn more at www.Intel.com/PerformanceIndex.